computers.getComputerPairing
GET
/v1/computer-pairings/{code}
const url = 'https://example.com/v1/computer-pairings/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/computer-pairings/example \ --header 'Authorization: Bearer <token>'Shows which machine a pairing code is for, so the person can check it before they approve.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”code
required
string
Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
required
string
hostname
required
string
os
required
string
arch
required
string
desktop
required
boolean
expiresAt
required
number
Example generated
{ "code": "example", "hostname": "example", "os": "example", "arch": "example", "desktop": true, "expiresAt": 1}ComputerInvalid | OrganizationRequired
AuthenticationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "AuthenticationRequired"}@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin
ComputerNotFound | ComputerPathNotFound | ComputerSessionNotFound | ComputerProviderNotFound | PairingInvalid
@nmnmcc/ability/Authorizer/Pending | ComputerProviderInUse | ComputerConflict | ComputerUnsupported | ComputerNotReady
Media typeapplication/json
Any of:
object
_tag
required
string
ticket
required
string
reason
string
object
_tag
required
string
id
required
string
object
_tag
required
string
version
required
integer
executionId
string
object
_tag
required
string
feature
required
string
object
_tag
required
string
state
required
string
Example
{ "_tag": "Pending"}RateLimited
Media typeapplication/json
object
_tag
required
string
retryAfterSeconds
required
integer
Example
{ "_tag": "RateLimited"}ComputerProviderFailed | ComputerExecutionFailed
ComputersUnavailable | AuthenticationUnavailable | RequestFailed